Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateDelimitFunction Class Reference
Template system » Template functions

Displays left and right delimiter in templates. More...

## Public Member Functions
| __construct ()
| functionList ()
| functionTemplateHints ()
| templateNodeTransformation ( $functionName, &$node, $tpl, $parameters, $privateData)
| process ( $tpl, &$textElements, $functionName, $functionChildren, $functionParameters, $functionPlacement, $nspace, $current_nspace)
| hasChildren ()

## Public Attributes
| $LName
| The name of the left delimiter tag. More...
| $RName
| The name of the right delimiter tag. More...

## Detailed Description

Displays left and right delimiter in templates.

This class iss a template function for outputting the left and right delimiters. Since the left and right delimiters are always parsed by the template engine it's not possible to output these characters. By registering an instance of this class as template functions you can get these characters with {ldelim} and {rdelim}.

The name of these functions can also be controlled by passing the names to the constructor.

Example:

$tpl->registerFunctions( new eZTemplateDelimitFunction() );
// or custom names
$tpl->registerFunctions( new eZTemplateDelimitFunction( "l", "r" ) );
// alternatively
$obj = new eZTemplateDelimitFunction();
$tpl->registerFunction( "ldelim", $obj );
$tpl->registerFunction( "rdelim", $obj );
eZTemplateDelimitFunction
Displays left and right delimiter in templates.
Definition: eztemplatedelimitfunction.php:37

Definition at line 36 of file eztemplatedelimitfunction.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateDelimitFunction::__construct | ( |  | ) |

Initializes the object with a name for the left and right delimiter. Default is ldelim for left and rdelim for right.

Definition at line 42 of file eztemplatedelimitfunction.php.

## Member Function Documentation

## ◆ functionList()

eZTemplateDelimitFunction::functionList | ( |  | ) |

Returns an array of the function names, required for eZTemplate::registerFunctions.

Definition at line 51 of file eztemplatedelimitfunction.php.

## ◆ functionTemplateHints()

eZTemplateDelimitFunction::functionTemplateHints | ( |  | ) |

Returns an array with hints for the template compiler.

Definition at line 59 of file eztemplatedelimitfunction.php.

## ◆ hasChildren()

eZTemplateDelimitFunction::hasChildren | ( |  | ) |

Returns false, telling the template parser that this is a single tag.

Definition at line 104 of file eztemplatedelimitfunction.php.

## ◆ process()

eZTemplateDelimitFunction::process | ( |  | $tpl,
|  | & | $textElements,
|  |  | $functionName,
|  |  | $functionChildren,
|  |  | $functionParameters,
|  |  | $functionPlacement,
|  |  | $nspace,
|  |  | $current_nspace
| ) |  |

Outputs the left or right delimiter if the function names match.

Definition at line 86 of file eztemplatedelimitfunction.php.

## ◆ templateNodeTransformation()

eZTemplateDelimitFunction::templateNodeTransformation | ( |  | $functionName,
|  | & | $node,
|  |  | $tpl,
|  |  | $parameters,
|  |  | $privateData
| ) |  |

Definition at line 67 of file eztemplatedelimitfunction.php.

References eZTemplateNodeTool\createTextNode().

## Member Data Documentation

## ◆ $LName

eZTemplateDelimitFunction::$LName

The name of the left delimiter tag.

Definition at line 110 of file eztemplatedelimitfunction.php.

## ◆ $RName

eZTemplateDelimitFunction::$RName

The name of the right delimiter tag.

Definition at line 112 of file eztemplatedelimitfunction.php.

The documentation for this class was generated from the following file:

- eztemplatedelimitfunction.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.